Debian Bug report logs - #626450
lost /lib64 -> /lib symlink on amd64; upgrade fails

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Jamie Heilman <jamie@audible.transient.net>

Date: Thu, 12 May 2011 05:12:00 UTC

Severity: critical

Tags: sid

Merged with 626457, 626467

Found in version eglibc/2.13-3

Fixed in versions 2.13-4, eglibc/2.13-4

Done: Giacomo Catenazzi <cate@cateee.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#626450; Package libc6. (Thu, 12 May 2011 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 12 May 2011 05:12:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: submit@bugs.debian.org
Subject: lost /lib64 -> /lib symlink on amd64; upgrade fails
Date: Thu, 12 May 2011 04:53:36 +0000
Package: libc6
Version: 2.13-3
Severity: critical

Unpacking replacement libc6 ...
dpkg (subprocess): unable to execute rm command for cleanup (rm): No such file or directory
dpkg: error while cleaning up: subprocess rm cleanup returned error 
exit status 2
Could not exec dpkg!

I see lib64 is gone from / and /usr in /var/lib/dpkg/info/libc6.list
... once I added the /lib64 -> /lib symlink back, things more or less
worked again.




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Thu, 12 May 2011 05:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#626450; Package libc6. (Thu, 12 May 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Paterni <bpaterni@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 12 May 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 626450@bugs.debian.org (full text, mbox):

From: Brian Paterni <bpaterni@gmail.com>
To: 626450@bugs.debian.org
Cc: jamie@audible.transient.net
Subject: Re: lost /lib64 -> /lib symlink on amd64; upgrade fails
Date: Thu, 12 May 2011 00:58:13 -0500
[Message part 1 (text/plain, inline)]
> I see lib64 is gone from / and /usr in /var/lib/dpkg/info/libc6.list
> ... once I added the /lib64 -> /lib symlink back, things more or less
> worked again.
>
>
 I'm wondering if there was anything special you needed to do for this? I
know after upgrading my system, that any commands other than bash's built-in
commands are refusing to execute, giving me "no such file or directory
errors".
[Message part 2 (text/html, inline)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 12 May 2011 06:21:13 GMT) Full text and rfc822 format available.

Notification sent to Jamie Heilman <jamie@audible.transient.net>:
Bug acknowledged by developer. (Thu, 12 May 2011 06:21:13 GMT) Full text and rfc822 format available.

Message #17 received at 626450-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 626450-close@bugs.debian.org
Subject: Bug#626450: fixed in eglibc 2.13-4
Date: Thu, 12 May 2011 06:18:14 +0000
Source: eglibc
Source-Version: 2.13-4

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-4_all.deb
  to main/e/eglibc/eglibc-source_2.13-4_all.deb
eglibc_2.13-4.diff.gz
  to main/e/eglibc/eglibc_2.13-4.diff.gz
eglibc_2.13-4.dsc
  to main/e/eglibc/eglibc_2.13-4.dsc
glibc-doc_2.13-4_all.deb
  to main/e/eglibc/glibc-doc_2.13-4_all.deb
libc-bin_2.13-4_amd64.deb
  to main/e/eglibc/libc-bin_2.13-4_amd64.deb
libc-dev-bin_2.13-4_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-4_amd64.deb
libc6-dbg_2.13-4_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-4_amd64.deb
libc6-dev-i386_2.13-4_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-4_amd64.deb
libc6-dev_2.13-4_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-4_amd64.deb
libc6-i386_2.13-4_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-4_amd64.deb
libc6-pic_2.13-4_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-4_amd64.deb
libc6-prof_2.13-4_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-4_amd64.deb
libc6-udeb_2.13-4_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-4_amd64.udeb
libc6_2.13-4_amd64.deb
  to main/e/eglibc/libc6_2.13-4_amd64.deb
libnss-dns-udeb_2.13-4_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-4_amd64.udeb
libnss-files-udeb_2.13-4_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-4_amd64.udeb
locales-all_2.13-4_amd64.deb
  to main/e/eglibc/locales-all_2.13-4_amd64.deb
locales_2.13-4_all.deb
  to main/e/eglibc/locales_2.13-4_all.deb
nscd_2.13-4_amd64.deb
  to main/e/eglibc/nscd_2.13-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 May 2011 07:16:55 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 626447 626449 626450
Changes: 
 eglibc (2.13-4) unstable; urgency=low
 .
   * debian/sysdeps/amd64.mk: don't redefine libc6_extra_pkg_install.
     Closes: #626447, #626449, #626450.
Checksums-Sha1: 
 bd4f1969d099aef2c8af915888b09abda7af27f9 2686 eglibc_2.13-4.dsc
 a84dc9d406194dd1f4e55ad99a2d66ffbe40be45 829892 eglibc_2.13-4.diff.gz
 f64346733c3d64f254d97f4b5ccca2153e0fa481 1881254 glibc-doc_2.13-4_all.deb
 423c0dc457bb33d6cb9c8580bb43f6299ac860ca 11171568 eglibc-source_2.13-4_all.deb
 6533bba00bcb113db2a5338ce59b75e91e089839 4800940 locales_2.13-4_all.deb
 20d41b951ebea45d72e8f0b84101faf7bb51d43e 4312102 libc6_2.13-4_amd64.deb
 2cddfac4e45d836e61d601d3c48d92050e3584b0 2630158 libc6-dev_2.13-4_amd64.deb
 4c6a6446c02efb1cd170b996a097ebbd6480b970 2073934 libc6-prof_2.13-4_amd64.deb
 398fc66342746e6dd3746cf62bde78e95f1b65a9 1579568 libc6-pic_2.13-4_amd64.deb
 ac32d09f35a9cb0431777a557580332d83363923 1078922 libc-bin_2.13-4_amd64.deb
 2590606904c08cbc97146167a9d71c880f0958dc 210076 libc-dev-bin_2.13-4_amd64.deb
 8efa6df63c2347a55db3d72f4d008c733f65daf2 3757594 locales-all_2.13-4_amd64.deb
 d65d3224568503090c51aa51f93ceb8418f53ec4 3829862 libc6-i386_2.13-4_amd64.deb
 89f67c120cf74b9c9e9f0dbb761ed93f1ee7576c 1554700 libc6-dev-i386_2.13-4_amd64.deb
 6abc53cdd5e5d6945cd77a009e00f31a0d9e2749 199718 nscd_2.13-4_amd64.deb
 69fb321c055f362fed2963d2476fb7f53898cf13 10493414 libc6-dbg_2.13-4_amd64.deb
 4533163750a801f27d23e17825e353b01fbc8ceb 1180680 libc6-udeb_2.13-4_amd64.udeb
 ec4a9250da0d7d2754a94fb99a2717ae0b9ee057 11110 libnss-dns-udeb_2.13-4_amd64.udeb
 fdb958b3046076532aa7f82887c1db8b817ddf34 19252 libnss-files-udeb_2.13-4_amd64.udeb
Checksums-Sha256: 
 ce898c89165a593ed5ecfcf1dfda719e253d4ab2bc65d31bdb6285d7bdd2a172 2686 eglibc_2.13-4.dsc
 efec69ccaee36b27f5709bf9c813aca8f7efc6ecdfe4d998197dc0fe62be2803 829892 eglibc_2.13-4.diff.gz
 0160cfc0cfa3b014e6ac23ed1986ec52188381de2770847755cd9c7253906abe 1881254 glibc-doc_2.13-4_all.deb
 e86f3aea6394355733738afc46494f42170c72bf1b1facda6d640a960d99bbff 11171568 eglibc-source_2.13-4_all.deb
 1098eec9c70aac0fc270d07fc93a2d49a8f2b1bbf9d8c867a90c458674331974 4800940 locales_2.13-4_all.deb
 543112f5d6062877080e15c9f80a41be3166f79d38af0b858e24ae8977f8d587 4312102 libc6_2.13-4_amd64.deb
 bd5e69de88f99b93843bdbed95af447f2fa6fbb5d6711ea3f9c25a2083ce5cee 2630158 libc6-dev_2.13-4_amd64.deb
 cf8ccbd5f850c32a1cbdeacc88ebca9e20e803b08bbca02006f33b004ace598a 2073934 libc6-prof_2.13-4_amd64.deb
 68a1bbe154a9f1f44e2dae3ce47336beb447cce863617e22d6a6306a04719a5c 1579568 libc6-pic_2.13-4_amd64.deb
 f98fecbf8ed9cca09c8db1a27404a10ded67af65718d0cd3b8c47913ba71c446 1078922 libc-bin_2.13-4_amd64.deb
 6e447bda4b26a52ed7c8a9bc77cfcf3efaf619bce96f64661fdc2bf58aadd35f 210076 libc-dev-bin_2.13-4_amd64.deb
 75f05fd93712bbee88e71c78392b7ebf75678a2129387089d9820901aa48923b 3757594 locales-all_2.13-4_amd64.deb
 a770ee15066012f52eb061f6eb3cc605ed13d6586f2b86bed9e8497d430818ff 3829862 libc6-i386_2.13-4_amd64.deb
 8077226ac2fd875c093716f167f90c6e21f858f0bc2449a36bc6eebe64afd6e9 1554700 libc6-dev-i386_2.13-4_amd64.deb
 466ec9afb2ea87f5821b08cc6b383b70fe8d410a30bf0e5fa15b37c5cd071260 199718 nscd_2.13-4_amd64.deb
 c3ec53a962e475a806998e3a87de703613a12bf1544eb2cb29cbd4e8160536e2 10493414 libc6-dbg_2.13-4_amd64.deb
 080fd76017ddfb46f5b7fe4ab7eb90d6072449cc03ecfbe9d5804cf0ecbb0efe 1180680 libc6-udeb_2.13-4_amd64.udeb
 c34f107d67bcc1be35184f7625917ec59ef6dc59c4393bafcc8d26237134405b 11110 libnss-dns-udeb_2.13-4_amd64.udeb
 e6c59a3cb0a0f6b5f76ac9a489fd3011f37b012e3cfea5dfcc80dcdf37cef377 19252 libnss-files-udeb_2.13-4_amd64.udeb
Files: 
 b2027531a5430dcffe76d369567b192d 2686 libs required eglibc_2.13-4.dsc
 e495c2398dca6e82c05e9776618ebb4b 829892 libs required eglibc_2.13-4.diff.gz
 25b676065eb490dd90a4bde41a21b984 1881254 doc optional glibc-doc_2.13-4_all.deb
 11ce343fed821980bc162ef949c67572 11171568 devel optional eglibc-source_2.13-4_all.deb
 a4a7586f49c4002483134b0467bf382d 4800940 localization standard locales_2.13-4_all.deb
 40db5e901b148e90701d06e984999a9b 4312102 libs required libc6_2.13-4_amd64.deb
 f5b308bdffee576e512c1fecb34a3f87 2630158 libdevel optional libc6-dev_2.13-4_amd64.deb
 4d71e25cf206144c84f1b38e87f5faec 2073934 libdevel extra libc6-prof_2.13-4_amd64.deb
 8627bd82cd6938a0e739c9cbeba07b03 1579568 libdevel optional libc6-pic_2.13-4_amd64.deb
 8b1703dfafd8bac191e94abd1a770768 1078922 libs required libc-bin_2.13-4_amd64.deb
 09e5ade5fa40795d71f8d484569d0cb6 210076 libdevel optional libc-dev-bin_2.13-4_amd64.deb
 a386e744047ad137ec45cd0c47e6ad5d 3757594 localization extra locales-all_2.13-4_amd64.deb
 42473f43e0092f64e6a27372ae9abe69 3829862 libs optional libc6-i386_2.13-4_amd64.deb
 08c5a3be0f236d9394da23a04137ad16 1554700 libdevel optional libc6-dev-i386_2.13-4_amd64.deb
 bd71b435dc1f0d5331c3367bbd00c0c9 199718 admin optional nscd_2.13-4_amd64.deb
 01d89adaab48c7084b1b0885c1aa3951 10493414 debug extra libc6-dbg_2.13-4_amd64.deb
 c4edf9a48cd552141804a129fa845541 1180680 debian-installer extra libc6-udeb_2.13-4_amd64.udeb
 b27b7b52a68aaf8edc9f54056fa55995 11110 debian-installer extra libnss-dns-udeb_2.13-4_amd64.udeb
 3ede2878ac8e58e4749c6ca49f46767c 19252 debian-installer extra libnss-files-udeb_2.13-4_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNy3Zyw3ao2vG823MRAiNyAJ9+vhORttonAxQYeMBV5ALhdyGQAQCfZPf6
Mylidr2BIdjig2iMiJ/wvHI=
=A4zL
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#626450; Package libc6. (Thu, 12 May 2011 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@joshtriplett.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 12 May 2011 06:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 626450@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Brian Paterni <bpaterni@gmail.com>
Cc: 626450@bugs.debian.org, jamie@audible.transient.net
Subject: Re: lost /lib64 -> /lib symlink on amd64; upgrade fails
Date: Wed, 11 May 2011 23:31:56 -0700
On Thu, May 12, 2011 at 12:58:13AM -0500, Brian Paterni wrote:
> > I see lib64 is gone from / and /usr in /var/lib/dpkg/info/libc6.list
> > ... once I added the /lib64 -> /lib symlink back, things more or less
> > worked again.
> >
> >
>  I'm wondering if there was anything special you needed to do for this? I
> know after upgrading my system, that any commands other than bash's built-in
> commands are refusing to execute, giving me "no such file or directory
> errors".

In my case, I didn't happen to have a root shell around, so I couldn't
fix my system while running.  I ran /lib/ld-linux-x86-64.so.2 /bin/sync
a few times, turned off the power, and booted with the kernel argument
"break=init" to get a shell in the initramfs.  From there, I remounted
/root read-write, and created the /lib64 -> lib symlink.  No rescue disk
needed.

Hope that helps,
Josh Triplett




Forcibly Merged 626450 626457. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 12 May 2011 06:45:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#626450; Package libc6. (Thu, 12 May 2011 08:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruce Sass <bmsass@shaw.ca>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 12 May 2011 08:30:06 GMT) Full text and rfc822 format available.

Message #29 received at 626450@bugs.debian.org (full text, mbox):

From: Bruce Sass <bmsass@shaw.ca>
To: 626450@bugs.debian.org
Subject: if you can't remount /root
Date: Thu, 12 May 2011 02:25:46 -0600
[maybe I'm just naive wrt how the initramfs works <shrug>]

(initramfs) mount -o remount,rw /root
mount: can't read '/proc/mounts': no such file or directory

So I changed the "ro" kernel arg to "rw", booted, then created the symlink.

- Bruce




Forcibly Merged 626450 626457 626467. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Thu, 12 May 2011 08:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#626450; Package libc6. (Thu, 12 May 2011 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Vernier <yann.vernier@orsoc.se>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 12 May 2011 11:27:10 GMT) Full text and rfc822 format available.

Message #36 received at 626450@bugs.debian.org (full text, mbox):

From: Yann Vernier <yann.vernier@orsoc.se>
To: 626450@bugs.debian.org
Subject: workaround if you have a root shell
Date: Thu, 12 May 2011 13:25:04 +0200
For those unlucky enough to hit this bug, yet lucky enough to still have a 
root shell open:
	/lib/ld-linux-x86-64.so.2 /bin/ln -s /lib /lib64
Statically linked versions of ln (for instance in sash or busybox-static) 
should also work. Unfortunately, su will not. 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jun 2011 07:34:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:31:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.